////////////////////////////////////////////////////////////////////////////////
//
// 2004 (C) Copyrights Reserved
// Author:Aureala
//
////////////////////////////////////////////////////////////////////////////////

unit ShowLog;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, ComCtrls, StdCtrls, UtilTools;

type
  TShowLogForm = class(TForm)
    Panel1: TPanel;
    LVLog: TListView;
    Panel2: TPanel;
    BtnSelectLog: TButton;
    OpenDialog: TOpenDialog;
    Label16: TLabel;
    CBClient: TComboBox;
    Label7: TLabel;
    CBViewItem: TComboBox;
    BtnView: TButton;
    procedure BtnSelectLogClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CBClientChange(Sender: TObject);
    procedure CBViewItemChange(Sender: TObject);
    procedure BtnViewClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ShowLogForm: TShowLogForm;

implementation

{$R *.dfm}

procedure TShowLogForm.BtnSelectLogClick(Sender: TObject);
begin
  OpenDialog.Title:='dݭpʵxO';
  OpenDialog.Filter:='xO|*.rec';
  OpenDialog.InitialDir:=ExtractFilePath(ParamStr(0)+'log\');
  OpenDialog.Execute;
  if(OpenDialog.FileName<>'') then
  begin
    BtnView.Click;
  end;
end;

procedure TShowLogForm.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Close;
  Release;
end;

procedure TShowLogForm.CBClientChange(Sender: TObject);
begin
  BtnView.Click;
end;

procedure TShowLogForm.CBViewItemChange(Sender: TObject);
begin
  BtnView.Click;
end;

procedure TShowLogForm.BtnViewClick(Sender: TObject);
begin
  try
    LoadLog(OpenDialog.FileName,CBClient.Text,CBViewItem.ItemIndex,LVLog);
  except
    ;
  end;
  if(LVLog.Items.Count<=0) then
    ShowMessage('SAndݪxOI');
end;

procedure TShowLogForm.FormCreate(Sender: TObject);
begin
  UpdateClient(CBClient);
  CBClient.Items.Strings[0]:='';
  CBClient.ItemIndex:=0;
end;

end.
